<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>

        <record id="view_project_maintenance_type_form" model="ir.ui.view">
            <field name="name">project.maintenance.type.form</field>
            <field name="model">project.maintenance.type</field>
            <field name="arch" type="xml">
                <form string="Maintenance Type">
                    <sheet string="project.maintenance.type">
                        <group>
                            <field name="name"/>
                         </group>
                        <group>
                          <field name="maintenance_ids" nolabel="1" widget="one2many">
                                <tree editable="top">
                                    <field name="name"/>
                                </tree>
                                <form>
                                    <group>
                                        <field name="name"/>
                                        <field name="maintenance_type_id"/>
                                    </group>
                                </form>
                            </field>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>


        <record id="view_project_maintenance_type_tree" model="ir.ui.view">
            <field name="name">project.maintenance.type.tree</field>
            <field name="model">project.maintenance.type</field>
            <field name="arch" type="xml">
                <tree string="Maintenance Type">
                    <field name="name"/>
                    <field name="maintenance_ids"/>
                </tree>
            </field>
        </record>

        <record id="project_maintenance_type_action" model="ir.actions.act_window">
            <field name="name">Maintenance Type</field>
            <field name="res_model">project.maintenance.type</field>
            <field name="view_mode">tree,form</field>
        </record>

        <menuitem id="project_menu_config_maintenance_type"
                  action="project_maintenance_type_action"
                  parent="project.menu_project_config"/>


        <!-- <record id="view_project_maintenance_form" model="ir.ui.view">
            <field name="name">project.maintenance.form</field>
            <field name="model">project.maintenance</field>
            <field name="arch" type="xml">
                <form string="Maintenance">
                    <sheet string="project.maintenance">
                        <group>
                            <field name="name"/>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>


        <record id="view_project_maintenance_tree" model="ir.ui.view">
            <field name="name">project.maintenance.tree</field>
            <field name="model">project.maintenance</field>
            <field name="arch" type="xml">
                <tree string="Maintenance">
                    <field name="name"/>
                </tree>
            </field>
        </record>

    <record id="project_maintenance_action" model="ir.actions.act_window">
        <field name="name">Maintenance</field>
        <field name="res_model">project.maintenance</field>
        <field name="view_mode">tree,form</field>
    </record>

<menuitem id="project_menu_config_maintenance"
        action="project_maintenance_action"
        parent="project.menu_project_config"/> -->

    </data>
</odoo>
